#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>

int just_try_to_open(const char *filename, 
		     const char *mode)
{
	FILE *stream;
	
	if (!(stream = fopen(filename, mode))) {
		char message[256];
		sprintf(message, 
		"Impossible to open file %s with mode %s", 
		filename, mode);
		perror(message);
		return 1;
	}
	else {
		fclose(stream);
		return 0;
	}
}

int main()
{
	setuid(1000);
	just_try_to_open("daroot", "r");
	just_try_to_open("daroot", "w");
}

/* 
	chmod 754 modifica_daroot 
	chmod 744 modifica_daroot 
	chmod --reference=`which passwd` modifica_daroot
*/

