#include <sys/types.h> /* pid_t */
#include <sys/wait.h>
#include <unistd.h>    /* fork */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>    /* exit */
#define BUFFER_DIM (1 << 10)

int main()
{
	pid_t pid;
	FILE *stream;
	char buffer[BUFFER_DIM];
	
	if (!(stream = fopen("nuovofile.txt", "w+"))) {
		perror("Impossible to open file");
		return EXIT_FAILURE;
	}
	pid = fork();
	if (pid == 0) { /* figlio */
		fprintf(stream, "child\n");
		fprintf(stream, "childbis\n");
		fclose(stream); /* si puo' anche non fare, tanto poi c'e' exit (se invece ci fosse _exit...) */
		exit(EXIT_SUCCESS);
	}
	else if (pid > 0) { /* padre */
		fprintf(stream, "parent\n");
		fflush(stream);
		wait((int *)0);
		fclose(stream);
	}
	else
		perror("Could not fork");
}
